Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.data
Class JRSortableDataSource

    java.lang.Object
      net.sf.jasperreports.engine.data.JRSortableDataSource

All Implemented Interfaces:
  JRDataSource, JRRewindableDataSource

Deprecated. Replaced by `ListOfArrayDataSource` and `DatasetSortUtil`.

    public class JRSortableDataSource

extends java.lang.Object
implements JRRewindableDataSource

This data source implementation is now deprecated because it does not know about sorting on dataset variables and should no longer be used. It will be removed from the library in future versions.

Version:
  $Id: JRSortableDataSource.java 3959 2010-09-22 10:08:54Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected java.text.Collator` | `collator` Deprecated.

Constructor Summary
`JRSortableDataSource(JRDataSource ds, JRField[] fields, JRSortField[] sortFields, java.util.Locale locale)` Deprecated.

Method Summary
`java.lang.Object` | `getFieldValue(JRField jrField)` Deprecated. Gets the field value for the current position.
`void` | `moveFirst()` Deprecated. Moves back to the first element in the data source.
`boolean` | `next()` Deprecated. Tries to position the cursor on the next element in the data source.
`static void` | `verifySortFields(JRField[] fields, JRSortField[] sortFields)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### collator

    protected java.text.Collator collator

  Deprecated.

Constructor Detail

### JRSortableDataSource

    public JRSortableDataSource(JRDataSource ds,
                                JRField[] fields,
                                JRSortField[] sortFields,
                                java.util.Locale locale)
                         throws JRException

  Deprecated.
  Throws:
    `JRException`

Method Detail

### next

    public boolean next()

  Deprecated.
  Description copied from interface: `JRDataSource`
  Tries to position the cursor on the next element in the data source.

  Specified by:
    `next` in interface `JRDataSource`
  Returns:
    true if there is a next record, false otherwise

### getFieldValue

    public java.lang.Object getFieldValue(JRField jrField)

  Deprecated.
  Description copied from interface: `JRDataSource`
  Gets the field value for the current position.

  Specified by:
    `getFieldValue` in interface `JRDataSource`
  Returns:
    an object containing the field value. The object type must be the field object type.

### moveFirst

    public void moveFirst()

  Deprecated.
  Description copied from interface: `JRRewindableDataSource`
  Moves back to the first element in the data source.

  Specified by:
    `moveFirst` in interface `JRRewindableDataSource`

### verifySortFields

    public static void verifySortFields(JRField[] fields,
                                        JRSortField[] sortFields)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com